clang 8.0.0

Macros | Functions
mwaitxintrin.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | __DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("mwaitx")))

## Functions
static __inline__ void __DEFAULT_FN_ATTRS | _mm_monitorx (void const *__p, unsigned __extensions, unsigned __hints)
static __inline__ void __DEFAULT_FN_ATTRS | _mm_mwaitx (unsigned __extensions, unsigned __hints, unsigned __clock)

## Macro Definition Documentation

## ◆ __DEFAULT_FN_ATTRS

#define __DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("mwaitx")))

Definition at line 32 of file mwaitxintrin.h.

Referenced by _mm_monitorx().

## Function Documentation

## ◆ _mm_monitorx()

static __inline__ void __DEFAULT_FN_ATTRS _mm_monitorx | ( | void const * | __p,
|  | unsigned | __extensions,
|  | unsigned | __hints
| ) |  |
| static

Definition at line 34 of file mwaitxintrin.h.

References __DEFAULT_FN_ATTRS.

## ◆ _mm_mwaitx()

static __inline__ void __DEFAULT_FN_ATTRS _mm_mwaitx | ( | unsigned | __extensions,
|  | unsigned | __hints,
|  | unsigned | __clock
| ) |  |
| static

Definition at line 40 of file mwaitxintrin.h.